#
# Conditional build:
%bcond_without	apidocs		# disable API documentation

Summary:	The Eye of MATE image viewer
Summary(pl.UTF-8):	Oko MATE - przeglądarka obrazków
Summary(pt_BR.UTF-8):	Visualizador de imagem Eye of MATE
Name:		eom
Version:	1.18.3
Release:	1
License:	GPL v2+
Group:		X11/Applications/Graphics
Source0:	http://pub.mate-desktop.org/releases/1.18/%{name}-%{version}.tar.xz
# Source0-md5:	2f2d7f40c56b5b233525974f4071a137
URL:		http://mate-desktop.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-glib-devel >= 0.71
BuildRequires:	docbook-dtd412-xml
BuildRequires:	exempi-devel >= 1.99.5
BuildRequires:	gdk-pixbuf2-devel >= 2.30.0
BuildRequires:	gettext-tools >= 0.10.40
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	gobject-introspection-devel >= 0.9.3
BuildRequires:	gtk+3-devel >= 3.14
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.9}
BuildRequires:	intltool >= 0.50.1
BuildRequires:	lcms2-devel >= 2
BuildRequires:	libexif-devel >= 1:0.6.14
BuildRequires:	libjpeg-devel
BuildRequires:	libpeas-devel >= 1.2.0
BuildRequires:	libpeas-gtk-devel >= 1.2.0
BuildRequires:	librsvg-devel >= 2.36.2
BuildRequires:	libtool >= 1:1.4.3
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	mate-common
BuildRequires:	mate-desktop-devel >= 1.17.0
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-pygobject-devel >= 2.16.0
BuildRequires:	python-pygtk-devel >= 2:2.14.0
BuildRequires:	rpmbuild(find_lang) >= 1.36
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	shared-mime-info >= 0.20
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
BuildRequires:	yelp-tools
BuildRequires:	zlib-devel
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.36.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	dbus-glib >= 0.71
Requires:	exempi >= 1.99.5
Requires:	gdk-pixbuf2 >= 2.30.0
Requires:	glib2 >= 1:2.36.0
Requires:	gtk+3 >= 3.14
Requires:	libexif >= 1:0.6.14
Requires:	libpeas >= 1.2.0
Requires:	libpeas-gtk >= 1.2.0
Requires:	librsvg >= 2.36.2
Requires:	mate-desktop-libs >= 1.17.0
Requires:	shared-mime-info >= 0.20
Obsoletes:	mate-image-viewer
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Eye of MATE is a tool for viewing/cataloging images. It's a fork of
Eye of GNOME.

%description -l pl.UTF-8
Eye of MATE (Oko MATE) jest narzędziem do oglądania i katalogowania
obrazków. Jest to odgałęzienie programu Eye of GNOME.

%description -l pt_BR.UTF-8
Aplicativo para visualizar imagens chamado Eye of MATE.

%package devel
Summary:	Header files for Eye of MATE plugins
Summary(pl.UTF-8):	Pliki nagłówkowe dla wtyczek Eye of MATE
Group:		X11/Development/Libraries
# doesn't require base
Requires:	glib2-devel >= 1:2.36.0
Requires:	gtk+3-devel >= 3.14
Obsoletes:	mate-image-viewer-devel

%description devel
Header files for Eye of MATE plugins.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla wtyczek Eye of MATE.

%package apidocs
Summary:	Eye of MATE API documentation
Summary(pl.UTF-8):	Dokumentacja API Eye of MATE
Group:		Documentation
Requires:	gtk-doc-common
Obsoletes:	mate-image-viewer-apidocs
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
Eye of MATE API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API Eye of MATE.

%prep
%setup -q

%build
%{?with_apidocs:%{__gtkdocize}}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoheader}
%{__autoconf}
%configure \
	--enable-gtk-doc%{!?with_apidocs:=no} \
	--disable-silent-rules \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/eom/plugins/*.la

# not supported by glibc yet
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{frp,ku_IQ,jv,pms}

%find_lang eom --with-mate

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f eom.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/eom
%{_libdir}/girepository-1.0/Eom-1.0.typelib
%dir %{_libdir}/eom
%dir %{_libdir}/eom/plugins
%attr(755,root,root) %{_libdir}/eom/plugins/libfullscreen.so
%{_libdir}/eom/plugins/fullscreen.plugin
%attr(755,root,root) %{_libdir}/eom/plugins/libreload.so
%{_libdir}/eom/plugins/reload.plugin
%attr(755,root,root) %{_libdir}/eom/plugins/libstatusbar-date.so
%{_libdir}/eom/plugins/statusbar-date.plugin
%{_datadir}/appdata/eom.appdata.xml
%{_datadir}/glib-2.0/schemas/org.mate.eom.enums.xml
%{_datadir}/glib-2.0/schemas/org.mate.eom.gschema.xml
%{_datadir}/eom
%{_desktopdir}/eom.desktop
%{_iconsdir}/hicolor/*/apps/eom.*
%{_mandir}/man1/eom.1*

%files devel
%defattr(644,root,root,755)
%{_includedir}/eom-2.20
%{_datadir}/gir-1.0/Eom-1.0.gir
%{_pkgconfigdir}/eom.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/eom
%endif
%changelog
* Wed Nov 08 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/eom.git;a=log;h=master

* Wed Nov 08 2017 Jan Palus <atler@pld-linux.org> 453f534
- up to 1.18.3

* Mon May 08 2017 Jan Palus <atler@pld-linux.org> 4780cd5
- up to 1.18.2

* Wed Apr 05 2017 Jan Palus <atler@pld-linux.org> b120ded
- up to 1.18.1

* Wed Mar 15 2017 Jan Palus <atler@pld-linux.org> 3ac251c
- up to 1.18.0

* Sun Feb 05 2017 Jan Palus <atler@pld-linux.org> 6996829
- up to 1.16.1

* Thu Sep 22 2016 Jan Palus <atler@pld-linux.org> 9dfa381
- up to 1.16.0

* Wed Aug 10 2016 Jan Palus <atler@pld-linux.org> 9358ad8
- up to 1.14.2

* Tue Aug 02 2016 Jakub Bogusz <qboosh@pld-linux.org> d95b343
- versioned gdk-pixbuf2 runtime dependency

* Sun May 22 2016 Jan Palus <atler@pld-linux.org> 01e13c4
- up to 1.14.1

* Sat Apr 09 2016 Jan Palus <atler@pld-linux.org> 40c418d
- up to 1.14.0

* Mon Feb 15 2016 Jan Palus <atler@pld-linux.org> 2abccfd
- up to 1.12.2

* Thu Dec 10 2015 Jan Palus <atler@pld-linux.org> cc35932
- up to 1.12.1

* Sat Nov 07 2015 Jakub Bogusz <qboosh@pld-linux.org> bb49e1e
- updated glib2 version

* Thu Nov 05 2015 Jan Palus <atler@pld-linux.org> bfbe7f7
- up to 1.12.0

* Mon Oct 19 2015 Jan Palus <atler@pld-linux.org> dd55a5d
- up to 1.10.5

* Wed Jul 15 2015 Jan Palus <atler@pld-linux.org> b8db116
- up to 1.10.3

* Wed Jun 17 2015 Jan Palus <atler@pld-linux.org> 8f246a0
- up to 1.10.2

* Sat Jun 13 2015 Jan Palus <atler@pld-linux.org> 415bc01
- up to 1.10.1

* Mon May 11 2015 Jakub Bogusz <qboosh@pld-linux.org> 6c50344
- updated to 1.10.0 (1.8.x left on MATE-1.8 branch)

* Tue Mar 03 2015 Elan Ruusamäe <glen@delfi.ee> a8673ff
- x32 rebuild
- release 2 (by relup.sh)

